Excessive TemplateKind DB queries when retrieving API docs
Status: Closed   

Priority: Normal   

Assignee: Tom Caspy   

Category: API   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3138

  

Description

When viewing uncached API docs (e.g. /apidoc/v2/hosts.html), there are loads of DB queries for TemplateKinds:
 This is because of my bad recommendation to query it on the fly in config/initializers/apipie.rb during #11643.

Perhaps to fix it we'll need to remove it again from the lambda but simply fail safely when the table isn't set up?

Related issues:

Related to Foreman - Feature #11643: Allow through API methods to render temp... Closed 09/01/2015

Associated revisions

Revision 44ad385e - 02/18/2016 03:15 AM - Tom Caspy

fixes #12621 - adding cache for template kinds to prevent multiple queries

History

#1 - 11/27/2015 04:53 AM - Dominic Cleal

- Related to Feature #11643: Allow through API methods to render templates without configuring a host in build mode added

#2 - 01/28/2016 10:36 AM - Tom Caspy

don't think it's in config/initializers/apipie.rb, the only thing which does a similar thing there is TemplateKind.pluck(:name) which generates a SELECT

"template_kinds"."name" FROM "template_kinds" query, not a select * from

will investigate further

#3 - 02/01/2016 04:43 AM - The Foreman Bot

05/21/2024 1/2

https://projects.theforeman.org/issues/11643


- Status changed from New to Ready For Testing

- Assignee set to Tom Caspy

- Pull request https://github.com/theforeman/foreman/pull/3138 added

#4 - 02/18/2016 04:03 AM - Tom Caspy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 44ad385e0b64bd38feac0c1a0211e5ff7db05441.
